Conversations

Create a conversation

Creates a new conversation with its initial contacts and returns it with a 201 status.

POST
/v1/conversations

Creates a new conversation with its initial contacts and returns it with a 201 status.

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

title?string|null
description?string|null
externalId?string|null
parentConversationId?|null
channels*array<>
primaryChannel*"email"

Value in

  • "email"
status?|null
statusReason?string|null
priority?|null
urgency?|null
complexity?|null
metadata?|null|null
actorTracking?|null
metrics?|null
context?|null|null
tags?array<string>|null
categories?array<string>|null
isTest?boolean|null
isInternal?boolean|null
isPrivate?boolean|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/conversations" \  -H "Content-Type: application/json" \  -d '{    "channels": [      "email"    ],    "primaryChannel": "email"  }'
{  "id": "string",  "organizationId": "string",  "title": "string",  "description": "string",  "externalId": "string",  "parentConversationId": "string",  "channels": [    "email"  ],  "primaryChannel": "email",  "status": "active",  "statusReason": "string",  "priority": 0,  "urgency": "low",  "complexity": "simple",  "metadata": {    "source": "string",    "tags": [      "string"    ],    "customFields": {}  },  "actorTracking": {    "allActorIds": [      "string"    ],    "activeActorIds": [      "string"    ],    "actorHistory": [      {        "actorId": "string",        "actorType": "contact",        "joinedAt": "string",        "leftAt": "string",        "role": "initiator",        "addedBy": "string",        "removedBy": "string",        "reason": "string"      }    ],    "primaryActorIds": [      "string"    ]  },  "metrics": {    "messageCount": 0,    "messagesFromHuman": 0,    "totalActors": 0,    "contactCount": 0,    "channelSwitches": 0,    "channelDistribution": {      "property1": 0,      "property2": 0    }  },  "context": {    "customerData": {},    "previousConversations": [      "string"    ],    "sessionVariables": {},    "workflowState": {      "currentStep": "string",      "completedSteps": [        "string"      ],      "pendingSteps": [        "string"      ],      "workflowData": {}    }  },  "tags": [    "string"  ],  "categories": [    "string"  ],  "isTest": true,  "isInternal": true,  "isPrivate": true,  "startedAt": "string",  "lastActivityAt": "string",  "lastHumanActivityAt": "string",  "resolvedAt": "string",  "archivedAt": "string",  "resolvedBy": "string",  "resolutionType": "automated",  "resolutionNotes": "string",  "createdAt": "string",  "updatedAt": "string",  "createdBy": "string"}